libretools - Porting #787

[librechroot] Support ARM chroots on x86 via QEMU
2015-08-19 09:44 AM - ovruni

Status: fixed % Done: 100%
Priority: feature

Assignee: lukeshu

Category: ARM on x86

Description

| am trying create the librechroot in armveh. But using librechroot | get in the end: "setarch: armvéh: Unrecognized architecture”.
/etc/makepkg

CARCH="armv6h"
CHOST="armvél-unknown-linux-gnueabihf"

uname -m: armveél

The same happens in another device armv7h.

Related issues:

Blocked by libretools - Bug #987: [librechroot] Support using binfmt_misc to ... fixed 2016-04-15
Blocked by libretools - Bug #807: [librechroot] Support using proot to call Q... not-a-bug 2015-09-22
Blocks libretools - Bug #791: Support cross-compiling for other architectures... fixed 2015-08-20
History

#1 - 2015-08-19 04:52 PM - mtjm

It's designed for i686 chroots on x86_64 hosts. Pass the kernel architecture there, not CARCH, or remove the setarch call.

#2 - 2015-08-20 06:03 PM - Anonymous

- Related to Bug #791: Support cross-compiling for other architectures without need extra dependencies added

#3 - 2015-08-20 06:04 PM - Anonymous

- Related to Bug #790: Add support QEMU in chroot on nonnative architecture to build other systems without need to use cross-compiling added

#4 - 2015-08-20 06:51 PM - Anonymous

- Assignee set to lukeshu

#5 - 2015-08-22 04:17 AM - Anonymous

- Status changed from open to not-a-bug

ARM port has been aborted [0]

[0]:https://www.fsf.org/resources/hw/single-board-computers

#6 - 2015-08-24 08:08 AM - Anonymous

- Status changed from not-a-bug to open

#7 - 2015-09-23 01:48 AM - Anonymous
- Related to Bug #807: [librechroot] Support using proot to call QEMU for foreign architectures added

#8 - 2015-09-23 01:50 AM - Anonymous

- Related to Bug #808: Package [dbscripts] similarly to libretools for easy use in Parabola server added

#9 - 2016-04-15 11:03 PM - lukeshu

- Priority changed from bug to feature
#10 - 2016-04-15 11:09 PM - lukeshu
- Subject changed from ARM support to [librechroot] Support ARM via QEMU

#11 - 2016-04-15 11:17 PM - lukeshu
- Subject changed from [librechroot] Support ARM via QEMU to [librechroot] Support ARM chroots on x86 via QEMU

#12 - 2016-04-15 11:29 PM - lukeshu
- Target version set to Basic ARM support
- Category set to ARM on x86

- Tracker changed from Bug to Porting

#13 - 2016-04-15 11:33 PM - lukeshu

- Related to deleted (Bug #790: Add support QEMU in chroot on nonnative architecture to build other systems without need to use cross-compiling)

#14 - 2016-04-15 11:50 PM - lukeshu
- Related to deleted (Bug #808: Package [dbscripts] similarly to libretools for easy use in Parabola server)

#15 - 2016-04-15 11:50 PM - lukeshu

- Related to deleted (Bug #791: Support cross-compiling for other architectures without need extra dependencies)

#16 - 2016-04-15 11:50 PM - lukeshu
- Related to Bug #987: [librechroot] Support using binfmt_misc to call QEMU for foreign architectures added

#17 - 2016-04-15 11:51 PM - lukeshu
- Related to deleted (Bug #987: [librechroot] Support using binfmt_misc to call QEMU for foreign architectures)

#18 - 2016-04-15 11:51 PM - lukeshu
- Blocked by Bug #987: [librechroot] Support using binfmt_misc to call QEMU for foreign architectures added

#19 - 2016-04-15 11:52 PM - lukeshu
- Related to deleted (Bug #807: [librechroot] Support using proot to call QEMU for foreign architectures)

#20 - 2016-04-15 11:52 PM - lukeshu
- Blocked by Bug #807: [librechroot] Support using proot to call QEMU for foreign architectures added

#21 - 2016-04-15 11:52 PM - lukeshu

- Blocks Bug #791: Support cross-compiling for other architectures without need extra dependencies added

#22 - 2016-05-31 06:19 PM - lukeshu
- % Done changed from 0 to 100

- Status changed from open to fixed

Whoops, this was added in version v20160510
